%define TYPE OTHER

Name: e2fsprogs
Summary: Utilities for the second extended file system
Version: 1.38
Release: 3.2
URL: http://e2fsprogs.sourceforge.net/
Group: System Environment/Base
License: GPL/LGPL
Vendor: InterNetX GmbH
Packager: InterNetX Package Maintainer <cs@internetx.de>
BuildRequires: gcc texinfo
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: %{name}-%{version}.tar.gz

%description
Utilities needed to create and maintain ext2 filesystems under Linux.
Included in this package are: chattr, lsattr, mke2fs, mklost+found,
tune2fs, e2fsck, resize2fs and badblocks.

%package devel
Summary: Ext2 filesystem-specific libraries and headers
Group: Development/Libraries
%description devel
This package contains the libraries and header files needed to
develop second extended (ext2) filesystem-specific programs.

%prep
%setup

%build
./configure \
$(configure-standards) \
--infodir=/usr/share/info \
--mandir=/usr/share/man \
--enable-elf-shlibs \
--enable-dynamic-e2fsck \
--enable-nls
make
#make check

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install-libs DESTDIR=$RPM_BUILD_ROOT

%post
ldconfig

%files
%defattr(-,root,root)
%doc ABOUT-NLS COPYING ChangeLog INSTALL INSTALL.elfbin README RELEASE-NOTES SHLIBS
/sbin/badblocks
/sbin/debugfs
/sbin/dumpe2fs
/sbin/e2fsck
/sbin/e2image
/sbin/e2label
/sbin/findfs
/sbin/fsck
/sbin/fsck.ext2
/sbin/fsck.ext3
/sbin/mke2fs
/sbin/mkfs.ext2
/sbin/mkfs.ext3
/sbin/resize2fs
/sbin/tune2fs
/usr/sbin/mklost+found
/usr/bin/chattr
/usr/bin/lsattr
/usr/bin/uuidgen
/lib/libe2p.so.2
/lib/libe2p.so.2.3
/lib/libext2fs.so.2
/lib/libext2fs.so.2.4
/lib/libss.so.2
/lib/libss.so.2.0
/lib/libuuid.so.1
/lib/libuuid.so.1.2
/lib/libcom_err.so.2
/lib/libcom_err.so.2.1
/lib/libblkid.so.1
/lib/libblkid.so.1.0
/usr/share/man/man1/uuidgen.1.gz
/usr/share/man/man1/chattr.1.gz
/usr/share/man/man1/lsattr.1.gz
/usr/share/man/man8/badblocks.8.gz
/usr/share/man/man8/mkfs.ext3.8.gz
/usr/share/man/man8/e2label.8.gz
/usr/share/man/man8/findfs.8.gz
/usr/share/man/man8/fsck.ext3.8.gz
/usr/share/man/man8/resize2fs.8.gz
/usr/share/man/man8/mklost+found.8.gz
/usr/share/man/man8/fsck.ext2.8.gz
/usr/share/man/man8/dumpe2fs.8.gz
/usr/share/man/man8/debugfs.8.gz
/usr/share/man/man8/e2image.8.gz
/usr/share/man/man8/mkfs.ext2.8.gz
/usr/share/man/man8/mke2fs.8.gz
/usr/share/man/man8/e2fsck.8.gz
/usr/share/man/man8/tune2fs.8.gz
/usr/share/man/man8/fsck.8.gz
/usr/share/info/libext2fs.info.gz

%files devel
%defattr(-,root,root)
/usr/bin/compile_et
/usr/bin/mk_cmds
%dir /usr/include/et
/usr/include/et/com_err.h
%dir /usr/include/e2p
/usr/include/e2p/e2p.h
%dir /usr/include/ext2fs
/usr/include/ext2fs/ext2_err.h
/usr/include/ext2fs/bitops.h
/usr/include/ext2fs/ext2_fs.h
/usr/include/ext2fs/ext2_io.h
/usr/include/ext2fs/ext2fs.h
/usr/include/ext2fs/ext2_ext_attr.h
/usr/include/ext2fs/ext2_types.h
%dir /usr/include/ss
/usr/include/ss/ss_err.h
/usr/include/ss/ss.h
%dir /usr/include/uuid
/usr/include/uuid/uuid.h
%dir /usr/share/et
/usr/share/et/et_c.awk
/usr/share/et/et_h.awk
%dir /usr/share/ss
/usr/share/ss/ct_c.sed
/usr/share/ss/ct_c.awk
/usr/lib/libuuid.a
/usr/lib/libe2p.a
/usr/lib/libss.a
/usr/lib/libcom_err.a
/usr/lib/libext2fs.a
/usr/lib/libext2fs.so
/usr/lib/libuuid.so
/usr/lib/libcom_err.so
/usr/lib/libe2p.so
/usr/lib/libss.so
#%dir /lib/evms
#/lib/evms/libe2fsim.1.2.1.so
/usr/share/man/man3/uuid_copy.3.gz
/usr/share/man/man3/uuid_unparse.3.gz
/usr/share/man/man3/uuid_generate_random.3.gz
/usr/share/man/man3/uuid_generate.3.gz
/usr/share/man/man3/uuid_compare.3.gz
/usr/share/man/man3/uuid_clear.3.gz
/usr/share/man/man3/uuid_generate_time.3.gz
/usr/share/man/man3/uuid_time.3.gz
/usr/share/man/man3/uuid_is_null.3.gz
/usr/share/man/man3/uuid_parse.3.gz
/usr/share/man/man3/com_err.3.gz
/usr/share/man/man1/compile_et.1.gz
#/usr/share/man/man3/libuuid.3.gz

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf %{_builddir}/%{name}-%{version}

